"""

Adapter for pyfilesystem object.

Copyright(c) 2015 Civic Knowledge. This file is licensed under the terms of the
Revised BSD License, included in this distribution as LICENSE.txt
"""

import fs.base


class PYFSCache(fs.base.FS):

    def __init__(self, cache, thread_synchronize=True):

        self._cache = cache

        super(PYFSCache, self).__init__(thread_synchronize)

    def open(self, path, mode='r', buffering=-1, encoding=None,
             errors=None, newline=None, line_buffering=False,
             **kwargs):

        if 'w' in mode:
            return self._cache.put_stream(path)
        else:
            return self._cache.get_stream(path)

        raise NotImplementedError()

    def getinfo(self, path):
        raise NotImplementedError()

    def rename(self, src, dst):
        raise NotImplementedError()

    def removedir(self, path, recursive=False, force=False):
        raise NotImplementedError()

    def remove(self, path):
        raise NotImplementedError()

    def makedir(self, path, recursive=False, allow_recreate=False):
        raise NotImplementedError()

    def listdir(self, path="./", wildcard=None, full=False,
                absolute=False, dirs_only=False, files_only=False):
        raise NotImplementedError()

    def isdir(self, path):
        raise NotImplementedError()

    def isfile(self, path):
        raise NotImplementedError()